> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/contracts

List contract projects for the organization

` GET /v1/contracts `

List contract projects for the organization

## Parameters

### ` limit ` (query, optional)

Limit (default 20)

- ` value `: type ` integer `

### ` offset ` (query, optional)

Offset (default 0)

- ` value `: type ` integer `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 0 `

  - ` data `: type ` object `

    - ` hasMore `: type ` boolean `

    - ` items `: type ` array `

      - ` array item `: type ` object `

        - ` allDeployments `: type ` array `

          - ` array item `: type ` object `

            - ` address `: type ` string `

            - ` blockNumber `: type ` integer `

            - ` chainId `: type ` integer `

            - ` deployedAt `: type ` string `

            - ` deploymentMode `: type ` string ` — standard, create2, or create3

            - ` gasUsed `: type ` integer `

            - ` isDeterministic `: type ` boolean ` — Whether CREATE2/CREATE3 was used

            - ` networkType `: type ` string ` — mainnet or testnet

            - ` predictedAddress `: type ` string ` — Pre-computed address for deterministic deployments

            - ` salt `: type ` string ` — CREATE2/CREATE3 salt for deterministic address

            - ` txHash `: type ` string `

            - ` verificationStatus `: type ` string ` — Verification status

              - enum: ` ["pending","verified","failed"] `

            - ` verificationUrl `: type ` string ` — URL to view verified contract on block explorer

            - ` verified `: type ` boolean ` — Whether contract source is verified on block explorer

        - ` createdAt `: type ` string `

        - ` currentStep `: type ` integer `

        - ` deployments `: type ` object ` — Deployments is populated from the contract_deployments table, NOT from a DB column. Kept for backward-compatible JSON serialization in API responses.

        - ` id `: type ` string `

        - ` name `: type ` string `

        - ` solVersion `: type ` string `

        - ` status `: type ` string `

          - enum: ` ["planned","generating","code_generated","testing","tested","auditing","audited","deploying","testnet_deployed","mainnet_deployed","failed"] `

        - ` testResults `: type ` object `

          - ` failed `: type ` integer `

          - ` passed `: type ` integer `

          - ` total `: type ` integer `

        - ` updatedAt `: type ` string `

    - ` limit `: type ` integer `

    - ` offset `: type ` integer `

  - ` message `: type ` string `

    - example: ` "successfully" `

  - ` requestId `: type ` string `

### ` 500 ` — Internal Server Error

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/contracts' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/contracts', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/contracts', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/contracts", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```